-- DoIKnowYou
-- enUS & enGB localisation.
local L = LibStub("AceLocale-3.0"):NewLocale("DoIKnowYou", "enUS", true)
if not L then return end

L["ADDON_NAME"] = "DoIKnowYou"

-- Options texts

L["OPTIONS_TITLE"] = "Options for DoIKnowYou!"

-- Tooltip options
L["OPTIONS_TOOLTIP_TITLE"] = "Tooltip"
L["OPTIONS_TOOLTIP_DESC"] = "Options for DoIKnowYou's additions to the game tooltip"

-- Tooltip reputation indicator options
L["OPTIONS_TOOLTIP_REP_SHOW"] = "Show reputation tooltip"
L["OPTIONS_TOOLTIP_REP_HIDE_NEUTRAL"] = "Hide reputation tooltip when neutral"
L["OPTIONS_TOOLTIP_REP_SHOW_PREFIX"] = "Show Prefix"
L["OPTIONS_TOOLTIP_REP_PREFIX_TEXT"] = "Prefix text:"
L["OPTIONS_TOOLTIP_REP_COLOUR"] = "Colour reputation text by reputation"

-- Tooltip comment options
L["OPTIONS_TOOLTIP_COMMENT_SHOW"] = "Show comment tooltip"
L["OPTIONS_TOOLTIP_COMMENT_HIDE_NEUTRAL"] = "Hide comment tooltip when neutral"
L["OPTIONS_TOOLTIP_COMMENT_SHOW_PREFIX"] = "Show prefix"
L["OPTIONS_TOOLTIP_COMMENT_PREFIX_TEXT"] = "Prefix text:"
L["OPTIONS_TOOLTIP_COMMENT_COLOUR"] = "Colour comment text by reputation"

-- Auto-query options
L["OPTIONS_QUERY_TITLE"] = "Auto Query"
L["OPTIONS_QUERY_DESC"] = "Options for automatic queries"

L["OPTIONS_QUERY_TOGGLE"] = "Use Auto Query"
L["OPTIONS_QUERY_TOGGLE_GROUP_CHANGE"] = "... when group members change"
L["OPTIONS_QUERY_DESC_GROUP_CHANGE"] = "This event triggers when you join a group and also when a new member is added to your group"
L["OPTIONS_QUERY_TOGGLE_WHISPER"] = "... when whispered by another player"
L["OPTIONS_QUERY_DESC_WHISPER"] = "This option enables auto-query when you receive a whisper from another player."
L["OPTIONS_QUERY_TOGGLE_TRADE"] = "... when trading with another player"
L["OPTIONS_QUERY_DESC_TRADE"] = "This option works like the others, on trade."
L["OPTIONS_QUERY_TOGGLE_MOUSEOVER"] = "... when you move your mouse over another player"
L["OPTIONS_QUERY_DESC_MOUSEOVER"] = "This option generates a data request every time you hover your mouse over another player. NOT USED."

L["OPTIONS_QUERY_TOGGLE_ANNOUNCE"] = "Announce status in chat window"
L["OPTIONS_QUERY_DESC_ANNOUNCE"] = "Announce the result of an auto-query in the chat window. This message will only be visible to yourself, not to other players."
L["OPTIONS_QUERY_TOGGLE_ANNOUNCE_NEUTRAL"] = "Report when auto-query returns neutral"
L["OPTIONS_QUERY_DESC_ANNOUNCE_NEUTRAL"] = "When this option is disabled, you will only see reports on players with positive or negative ratings announced in your chat window."

-- Other options
L["OPTIONS_OTHER_TITLE"] = "Other"
L["OPTIONS_OTHER_DESC"] = "Other options"
L["OPTIONS_OTHER_TOGGLE_RIGHT_CLICK"] = "Use right-click drop down \"Do I Know You?\""
L["OPTIONS_OTHER_DESC_RIGHT_CLICK"] = "When enabled, \"Do I Know You?\" will be added to right-click menu on other players, allowing you to query them using that menu easily form chat channels, unit frames etc."

L["OPTIONS_OTHER_TOGGLE_CHAT_INDICATOR"] = "Show reputation indicator in chat"
L["OPTIONS_OTHER_DESC_CHAT_INDICATOR"] = "When enabled, a colour-coded indicator will be added to your chat frame next to player names. (Note: currently incompatible with chat addons such as Prat and Chatter)"
L["OPTIONS_OTHER_TOGGLE_CHAT_INDICATOR_NEUTRAL"] = "Hide chat indicator when neutral"
L["OPTIONS_OTHER_LABEL_CHAT_INDICATOR_TEXT"] = "Chat indicator text:"

L["OPTIONS_OTHER_TOGGLE_COMMS"] = "Send addon messages"
L["OPTIONS_OTHER_TOGGLE_LISTENING"] = "Parse incoming addon messages"

L["OPTIONS_OTHER_TOGGLE_GUILD_PURGE"] = "Purge data from a guild when you no longer have any characters in it."
L["OPTIONS_OTHER_PURGE_PLAYER"] = "Purge player data"

-- Important!

L["POSITIVE"] = "Positive"
L["NEUTRAL"] = "Neutral"
L["NEGATIVE"] = "Negative"

-- Frame texts
--Main frame
L["FRAME_TEXT_DATA_SOURCES"] = "Data generated from %s sources" -- number of data source
L["FRAME_TEXT_RUNNING_QUERY"] = "running query on %s" -- player
L["FRAME_TEXT_QUERY_STATE"] = "Query on: %s" -- player name
L["FRAME_TEXT_NO_NOTES"] = "No notes received from shared data sources"
L["FRAME_TEXT_SAVED_NOTE"] = "Note for %s saved as %s" -- player name, note
L["FRAME_TEXT_REP_SAVED"] = "Rep changed for %s to %d" -- player name, rep (-1, 0 or 1)

L["FRAME_TEXT_LABEL_INPUT_PLAYER_NAME"] = "Input the name of the player"
L["FRAME_TEXT_LABEL_PLAYER_COMMENT"] = "Player comment:"
L["FRAME_TEXT_LABEL_SHARED_DATA"] = "Shared data:"

L["FRAME_TEXT_BUTTON_OPTIONS"] = "Options"
L["FRAME_TEXT_BUTTON_CONSOLE"] = "Console"
L["FRAME_TEXT_BUTTON_DATA"] = "Data View"
L["FRAME_TEXT_BUTTON_TARGET"] = "From Target"
L["FRAME_TEXT_BUTTON_REFRESH"] = "Refresh"
L["FRAME_TEXT_BUTTON_SYNC"] = "Guild Sync"


--Dataview
L["FRAME_TEXT_DATA_SEARCH_ALL"] = "Search all saved data"
L["FRAME_TEXT_DATA_SUMMARY"] = "Summary Data"
L["FRAME_TEXT_DATA_RESET"] = "Reset"
L["FRAME_TEXT_DATA_FILTER"] = "Filter"
L["FRAME_TEXT_DATA_LABEL_NAME"] = "Name"
L["FRAME_TEXT_DATA_LABEL_NOTE"] = "Note"
L["FRAME_TEXT_DATA_LABEL_REP"] = "Rep"
L["FRAME_TEXT_DATA_LABEL_TOTAL"] = "Total"
L["FRAME_TEXT_DATA_LABEL_SOURCES"] = "Sources"
L["FRAME_TEXT_DATA_LABEL_NOTES"] = "Notes"

L["FRAME_TEXT_DATA_NO_DATA"] = "No data shown. Use the filters below to search data."
L["FRAME_TEXT_DATA_PAGES"] = "Now viewing %d to %d of %d (Page %d of %d)"

--Auto-query
L["MESSAGE_QUERY_POSITIVE"] = "Auto-Query (%s): %s has returned positive!" -- 2 strings, "method of query" and "player name"
L["MESSAGE_QUERY_NEUTRAL"] = "Auto-Query (%s): %s has returned neutral!"
L["MESSAGE_QUERY_NEGATIVE"] = "Auto-Query (%s): %s has returned negative!"

-- Other

L["DROPDOWN"] = "Do I Know You?" -- Dropdown text
L["MESSAGE_DOGTAGS"] = "DogTag-3.0 tags registered."
L["MESSAGE_LOADED"] = "r%d loaded. Use /diky or /doiknowyou to access." -- Loaded text
L["MESSAGE_VERSION"] = "version is %s"
L["MESSAGE_REALM_PURGED"] = "Realm saved data purged"
L["MESSAGE_NPC_ERROR"] = " error: Target must be a player character"
L["MESSAGE_AUTO_GUILD_PURGED"] = "You have left %s. No characters left in this guild, puring data." --  Guild name

L["FRAME_TEXT_SOCIAL_NOTE"] = "Set DoIKnowYou note for this character"

-- Slash command options

L["SLASH_CONSOLE"] = "console"
L["SLASH_OPTIONS"] = "options"
L["SLASH_DATA1"] = "dataview"
L["SLASH_DATA2"] = "data"
L["SLASH_SUMMARY"] = "summary"
L["SLASH_VERSION"] = "version"
L["SLASH_VERSIONCHECK"] = "versioncheck"
L["SLASH_PURGE"] = "purge"

-- The slash commands!

L["SLASH_DIKY_LONG"] = "/doiknowyou"
L["SLASH_DIKY_SHORT"] = "/diky"